
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>lisp的解释器 / 憋错料</title>

    <meta name="description" content="lisp的解释器 Description XXC小童鞋对lisp非常感兴趣,不过lisp是一个比较小众的黑客语言,因为它采用了一种不太容易理解的表达方式——S表达式. S表达式形式如下: (Operation A B……) 其中Operation是操作符,A.B等是操作数(操作数的数量根据操作符而定),A.B等可以是直接的数,也可以是其他S表达式.算式的结果为A (Operation) B.例如(+ 1 2)=3. 现在XXC童鞋希望你为他做一个简化版的lisp解释器,可以处理基本的四则二元运算. Input 第">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">lisp的解释器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h3>Description</h3>
<p>XXC小童鞋对lisp非常感兴趣，不过lisp是一个比较小众的黑客语言，因为它采用了一种不太容易理解的表达方式&mdash;&mdash;S表达式。 S表达式形式如下：</p>
<p><strong>(Operation A B&hellip;&hellip;)</strong></p>


<p>其中Operation是操作符，A、B等是操作数（操作数的数量根据操作符而定），A、B等可以是直接的数，也可以是其他S表达式。算式的结果为A (Operation) B.例如(+ 1 2)=3. 现在XXC童鞋希望你为他做一个简化版的lisp解释器，可以处理基本的四则二元运算。</p>
<h3>Input</h3>
<p>第一行包含一个整数N，代表用例个数。(N&le;100) 接下来的N行每行包含一个用例，每一个用例包含一个lisp表达式，涉及四种二元操作符（+、-，*，/）,嵌套层数不超过200。 善良的XXC童鞋希望解释器可以简单一点，所以在S表达式中，每个操作数都是整数类型。<strong>(注意到整数除法中,7/2=3.)</strong> 数据保证不会出现除0,不会超出int的范围</p>
<h3>Output</h3>
<p>对于给定的表达式，请给出其计算后的结果，形如&ldquo;Case #id: result&rdquo;</p>
<h3>Sample Input</h3>
<p>3</p>
<p>(+ 1 2)</p>
<p>(/ 1 3)</p>
<p>(/ 6 (+ 1 2))</p>
<h3>Sample Output</h3>
<p>Case #1: 3</p>
<p>Case #2: 0</p>
<p>Case #3: 2</p>
<h3>Source</h3>
<p>第八届北京交通大学ACM程序设计竞赛</p>
<pre>#include &lt;iostream&gt;
#include &lt;stack&gt;
#include &lt;string.h&gt;
#include &lt;stdlib.h&gt;
using namespace std;
int main()
{
    char  str [10000];
    int count;
    cin&gt;&gt;count;
    cin.getline(str,200);
    int t=count;
    while(t--){
        stack&lt;double&gt; Num;
        stack&lt;char&gt; Op;
        cin.getline(str,10000);
        int len =strlen(str);//&lt;string.h&gt;
        int sum=0;
        for (int i = 0; i &lt;len; i++)
        {
            char temp=str[i];
            if (temp==‘(‘)
            {
                Op.push(temp);
            }
            if (temp==‘+‘||temp==‘-‘||temp==‘*‘||temp==‘/‘)
            {
                Op.push(temp);
            }
            if (temp==‘)‘)
            {
                int c=Num.top();
                Num.pop();
                int b=Num.top();
                Num.pop();
                char Temp_Op=Op.top();
                if (Temp_Op==‘+‘)
                {
                    sum=b+c;
                    Op.pop();
                }
                if (Temp_Op==‘-‘)
                {
                    sum=b-c;
                    Op.pop();
                }
                if (Temp_Op==‘*‘)
                {
                    sum=b*c;
                    Op.pop();
                }
                if (Temp_Op==‘/‘)
                {
                    sum=b/c;
                    Op.pop();
                }
                Op.pop();
                Num.push(sum);
            }
            if (isdigit(temp))
            {
                int temp_num=atoi(&amp;str[i]);  //&lt;stdlib.h&gt;
                while(i&lt;len &amp;&amp; isdigit(str[i]))
                {
                    i++;
                }
                i--;
                Num.push(temp_num);
            }
        }
        cout&lt;&lt;"Case #"&lt;&lt;count-t&lt;&lt;": "&lt;&lt;Num.top()&lt;&lt;endl;
    }
}  </pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 13:12:36 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/des/" title="des">des</a>, <a href="https://www.biecuoliao.com/tag/for/" title="for">for</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/strong/" title="strong">strong</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>lisp的解释器的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vzeD63.html" rel="bookmark">&lbrack;编译原理&rsqb;用BDD方式开发lisp解释器（编译器）&vert;开发语言java&vert;Groovy&vert;Spock</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				lisp是一门简单又强大的语言,其语法极其简单: (+ 1 2 ) 上面的意思 是:+是方法或函数,1 ,2 是参数,fn=1+2,即对1,2进行相加求值,结果是:3 双括号用来提醒解释器开始和结束. 之前在iteye写过一篇文章来简单介绍怎么写lisp的解释器: http://gyc567.iteye.com/blog/2242960 同时也画了一张草图来说明: 因为lexer(词法分析器)主要工作就是把程序的字符串表达式转化为tokens.(Pair),以下是百科对词法分析的说明: 词法分析			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bj7eL0.html" rel="bookmark">写一个简单的lisp解释器&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				YouTube上看到了一个2004年版的SICP讲解 看完解释器那一个视频后,对解释器中的Eval和Apply有了基本的认识于是想开始直接写一个简单lisp的解释器 我的理解是: Eval是来求表达式的值的; Apply 则是用来求函数值的; 什么是表达式 ? atom 或者 a list of expression atom 包括 symbol number 还有 string number 和 string 都是代表它们自己 symbol 代表一个变量(variable) 它需要绑定一个值(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoQ1Rw3.html" rel="bookmark">Dandelion - Eclipse Lisp Plugin</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Common Lisp没有一个比较简单易用的IDE,网上推荐使用的都是LispBox,但是基于Emacs编辑器,使得学习以及使用的门槛过高. Eclipse是一个非常强大的可任意扩展的开发环境,所以我们可以使用Eclipse 下的Lisp插件.两年前我就寻找过,但是没有找到合适的,至于我为什么不自己开发一个= =.(我好囧).最近又找了一下,发现了一个Dandelion的项目,最近更新时间是2013年8月,嗯,果然是在我找过之后才出的插件,感谢项目组啊. 好了,不说废话了,献上项目地址了:htt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k2XndM.html" rel="bookmark">翻译：Lisp Style Tips for the Beginner - Heinrich Taube</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Table of Contents 1. 赋值 2. 函数 3. 符号和变量 4. 列表 5. 条件 6. 循环 7. 注释 8. 格式和缩进 原文:Lisp Style Tips for the Beginner 本篇文章是一篇非正式的摘要,旨在帮助新手写出高效.易读的Lisp代码. 1 赋值 1.1 避免使用eval.赋值是Lisp内置的流程,所以你几乎没有任何理由自己调用它.如果你使用了它,那么请停下来并且重新思考一下你的问题,因为你解决问题的方法一定是错的. 1.2 熟悉宏.它是Lisp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEkYgD3.html" rel="bookmark">17 个 Linux 下用于 C&sol;C&plus;&plus; 的最好的 IDE</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C++,一个众所周知的 C 语言的扩展,是一个优秀的.强大的.通用编程语言,它能够提供现代化的.通用的编程功能,可以用于开发包括视频游戏.搜索引擎.其他计算机软件乃至操作系统等在内的各种大型应用. C++,提供高度可靠性的同时还能够允许操作底层内存来满足更高级的编程要求. 虽然已经有了一些供程序员用来写 C/C++ 代码的文本编辑器,但 IDE 可以为轻松.完美的编程提供综合的环境和组件. 在这篇文章里,我们会向你展示一些可以在 Linux 平台上找到的用于 C++ 或者其他编程语言编程的最好的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4J9LOl3.html" rel="bookmark">基于ACIS&sol;HOOPS的3D应用开发简介 【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(整理) 平台:                造型引擎——ACIS         显示引擎——Direct3D/OpenGL/GDI         应用框架——HOOPS   组件关系图   ACIS——造型引擎 ACIS是美国Spatial Technology公司推出的三维几何造型引擎,它集线框.曲面和实体造型于一体,并允许这三种表示共存于统一的数据结构中,为各种3D造型应用的开发 提供了几何造型平台.Spatial Technology公司在1986年成立,目前ACIS 3D Too			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xA8An3.html" rel="bookmark">Lush手册&mdash;&mdash;第一章 简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 本章将展示Lush及其能力与特性. 1.1 Lush展示 Lush是一门面向对象的编程语言,是为对大规模数值运算与图形化应用感兴趣的研究人员.实验人员和工程师设计的.Lush用于以下场景,即想要将高级的.弱类型的解释性语言的灵活性,强类型的.本地编译型的语言的高效性,还有与C.C++等语言编写的代码容易结合这些特性组合在一起. 在与解释型语言(如Python.Perl.Matlab.S+甚至BASIC)和使用编译型语言(例如C语言)结合的相关工程上,Lush的优势尤其意义重大.通过使用Lu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXrVLz3.html" rel="bookmark">为何 Emacs 和 Vim 被称为两大神器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Emacs 是神的编辑器,而 Vim 是编辑器之神.二者为何会有如此美誉,且听本文向你一一道来. Author: Jiqing Wu email: [email protected] homepage: http:://hi.baidu.com/jiqing0925 create: 2011-01-09 update: 2011-01-09 面向的读者: 经常用电脑处理文本和编程的同学 目录 0. 序章:神器的传说 1. 无敌的可扩展性 1.1 可扩展性给了软件强大的生命 1.2 Emacs是伪			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41BXVqM.html" rel="bookmark">60行R&plus;&plus;代码实现Lisp解释器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				还没有处理lambda.上下文等.有待完好. main { for putsl(eval(getsl)) } rstr eval(rstr s) { return eval(tokenize(s).split(' ')) } rstr eval(rbuf&lt;rstr&gt;&amp; v) { if v.get(0)!='(' return v.get(0) next=find(v.sub(2))+2 switch v.get(1) case '+' return eval(v.sub(2,next)			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dk7rM.html" rel="bookmark" class="title">本周作业</a>
					<div>
						作为一名现场记分员,我希望详细记录比赛现场比分增长情况,以便观众及运动员.教练员及时掌握比赛状况.       积分规则 若为3:0或3:1,胜者得3分,负者不得分. 若为3:2,胜者2分,负者1分. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dLOw0.html" rel="bookmark" class="title">window7防火墙无法更改某些设置，错误代码0&amp;&num;215&semi;80070422</a>
					<div>
						原因:这是由于管理工具的服务中的windows防火墙被禁用了. 解决方案:在window7中点击控制面板,然后点击管理工具,在点服务,然后找到windows firewall 然后将其改为自动就就可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68lmN3.html" rel="bookmark" class="title">队列 java</a>
					<div>
						队列其实 所指生活中排队的现象,去商场购物,付款时需要排队, 买饭时需要排队, 好多事情都是需要排队, 排在第一位的则先处理,结束后, 后面的人都像前移动一位,在开发中也有好多这样的事情需要处理,如文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RBg6v0.html" rel="bookmark" class="title">一些有用的命令</a>
					<div>
						1.Hadoop错误:Name node is in safe mode 解决:关闭Hadoop安全模式 hadoop dfsadmin -safemode leave 2.解压缩.gz 和 .bz2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3q5Zw53.html" rel="bookmark" class="title">关于allocator的一些基础用法以及简易的vector实现</a>
					<div>
						首先,关于allocator戳旁边→维基百科-分配器(C++) 这次我只用了其中的一部分API,来实现一个简易的vector容器,这个简易版vector实现了插入.删除.查找等简易功能,由于对右值的理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a7jPk4.html" rel="bookmark" class="title">动手实现混合四则运算</a>
					<div>
						一周前,我刚把邹欣老师的&lt;构建之法&gt;拿到手的时候,翻阅第一章就看见练习与讨论的第1题.对于编程能力不好的我,决定拿这道题目练一下手,但过了一周也没有真正动手编程,果然人天生就是惰性的,我就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8bm6M.html" rel="bookmark" class="title">面向对象三大特征&mdash;&mdash;多态</a>
					<div>
						多态:相同类型的变量.调用同一个方法时呈现的多种不同的行为特征.要记住Java程序有编译和运行两个过程.    Human a = new chinese();    1.编译时类型由声明该变量时使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kG1bE0.html" rel="bookmark" class="title">XML和对象属性互转的基类</a>
					<div>
						本人做了一个XML和对象属性互转的基类,现在放上来有兴趣拿去看一下,用法很简单,声明一个BaseConversion的子类,该子类与你想转换的对象相对应,然后覆盖基类的两个虚方法,然后在里面写元素与对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrlW74.html" rel="bookmark" class="title">iOS&lowbar;Xcode6如何显示启动图</a>
					<div>
						iOS_Xcode6如何显示启动图? 直接拖图片到Images.xcassets里面是不可以的. 第一步:要新建一个文件夹名字叫 LaunchImage,然后,拖入图片到 LaunchImag 第二步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JYZXn3.html" rel="bookmark" class="title">（java web后端方向）如何让你的简历为你争取到更多的面试机会&comma;内容来自java web轻量级开发面试教程</a>
					<div>
						我们在做培训时,会发现一个不合理的情况,一些程序员能力不错,在公司里也是技术牛人,但发出去的简历往往会石沉大海,没有回复.对于刚毕业的大学生或工作年限在2年之内的程序员,这个情况会更严重. 这种情况下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aYweg0.html" rel="bookmark" class="title">HTTP协议状态码</a>
					<div>
						HTTP协议状态码,是指在HTTP协议运行中由客户端发出请求连接,服务端建立连接:客户端发出HTTP请求(Request),服务端返回响应信息(Respond),而在这个过程中由于客户端或服务端的问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02Zoqo0.html" rel="bookmark" class="title">关于animate的一些属性</a>
					<div>
						animate() 方法执行 CSS 属性集的自定义动画.该方法通过CSS样式将元素从一个状态改变为另一个状态.CSS属性值是逐渐改变的,这样就可以创建动画效果.只有数字值可创建动画(比如 &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NqWY63.html" rel="bookmark" class="title">iOS---tableview加载图片的时候的优化之lazy&lpar;懒加载&rpar;模式and异步加载模式</a>
					<div>
						举个例子,当我们在用网易新闻App时,看着那么多的新闻,并不是所有的都是我们感兴趣的,有的时候我们只是很快的滑过,想要快速的略过不喜欢的内容,但是只要滑动经过了,图片就开始加载了,这样用户体验就不太好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyWGme3.html" rel="bookmark" class="title">为什么要学习PHP？</a>
					<div>
						//优点 1.跨平台.同时支持多种数据库. 2.免费,linux \ apache \ mysql \ php 都是免费的. 3.安全性.效率高. 4.上手容易. 5.开放源代码. 6.PHP4及以后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MymrOeM.html" rel="bookmark" class="title">第4章 jQuery的事件和动画&lpar;1&rpar;&mdash;&mdash;事件篇</a>
					<div>
						jQuery扩展了JavaScript的基本事件处理机制,极大增强了事件处理能力 一. jQuery的事件 1. $(document).ready(function(){})加载方式 再次回到win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bpXde4.html" rel="bookmark" class="title">一个苹果证书怎么多次使用</a>
					<div>
						当我们用大于三个mac设备开发应用时,想要申请新的证书,如果在我们的证书里,包含了3个发布证书,2个开发证书,可以发现再也申请不了开发证书和发布证书了(一般在我们的证书界面中应该只有一个开发证书,一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZpbNJM.html" rel="bookmark" class="title">input&period;style&period;borderColor及input&period;style&period;backgroundColor 输入框样式特效  鼠标移过输入框 输入框背景变色</a>
					<div>
						html &lt;!DOCTYPE html&gt;&lt;html lang=&quot;zh-cn&quot;&gt;&lt;head&gt; &lt;meta charset=&quot;UTF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDjRxo3.html" rel="bookmark" class="title">linux中mail函数不能发送邮件怎么办</a>
					<div>
						原因分析: 1.检查下本机25端口是否有开放 2.mail是利用linux自带的sendmail服务来发送邮件的,service sendmail status 查看下该服务的状态 发送命令:mail ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6XNwN3.html" rel="bookmark" class="title">小例子&colon; 挂载服务器共享目录到本地Ubuntu目录</a>
					<div>
						#!/bin/bash :&lt;&lt; Test ' History: 2013.04.12 | 2012.12.06 | 2013.06.20 TITLE: 挂载服务器共享目录到本地Ubuntu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49vBLXM.html" rel="bookmark" class="title">Codeforces 314B&lpar;倍增&rpar;</a>
					<div>
						题意:[a,b]表示将字符串a循环写b遍,[c,d]表示把字符串c循环写d遍,给定a,b,c,d,求一个最大的p,使得[[c,d],p]是[a,b]的子序列(注意不是子串,也就是不要求连续).(b,d ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
